
Discovery - Refactor #24153

Refactor fdi to work with facter 4.x

07/04/2018 09:53 AM - Lukas Zapletal

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Image   

Target version:    

Difficulty:  Fixed in Releases: Discovery Image 3.7.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We currently use facter 2 (from EPEL), switching to facter 3.x does not work as facter 3 uses own Ruby. We will perhaps need to

spawn new process.

Smart Proxy has the same problem. https://github.com/theforeman/smart-proxy/blob/develop/modules/facts/facts_plugin.rb

Related issues:

Related to Smart Proxy - Refactor #24154: Refactor facts module to work with ... Rejected

Related to Discovery - Bug #31943: Facter 4.x does not report uninitialized i... Resolved

History

#1 - 07/04/2018 09:54 AM - Lukas Zapletal

- Related to Refactor #24154: Refactor facts module to work with facter 3.x added

#2 - 07/25/2018 11:16 AM - Lukas Zapletal

Or as Ewoud said "we can also make facter from our repos to be based on system Ruby". That would do it as well.

#3 - 10/15/2018 12:17 PM - Lukas Zapletal

- Triaged changed from No to Yes

#4 - 03/19/2021 10:49 AM - Marek Hulán

- Subject changed from Refactor fdi to work with facter 3.x to Refactor fdi to work with facter 4.x

Meanwhile, we should probably start using Facter 4 (again Ruby implementation)

#5 - 03/19/2021 11:05 AM - Lukas Zapletal

- Related to Bug #31943: Facter 4.x does not report uninitialized interfaces added

#6 - 03/19/2021 11:09 AM - Lukas Zapletal

- Status changed from New to Resolved

- Fixed in Releases Discovery Image 3.7.0 added

https://github.com/theforeman/foreman-discovery-image/commit/68f2446aa90c5436e0ca85925fd9b6ea222fdb8e
